## libsepol 1.14

=== include/Makefile ===
--- 
+++ 
@@ -7,3 +7,6 @@
 	test -d $(INCDIR)/policydb || install -m 755 -d $(INCDIR)/policydb
 	install -m 644 $(wildcard sepol/*.h) $(INCDIR)
 	install -m 644 $(wildcard sepol/policydb/*.h) $(INCDIR)/policydb
+
+indent:
+	../../Lindent $(wildcard sepol/*.h)
