=== src/Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	ln -sf $@ $(TARGET) 
 
 %.o:  %.c 
-	$(CC) $(CFLAGS) -c -o $@ $<
+	$(CC) $(CFLAGS) -fpic -c -o $@ $<
 
 %.lo:  %.c
 	$(CC) $(CFLAGS) -fpic -DSHARED -c -o $@ $<
@@ -42,3 +42,6 @@
 clean: 
 	-rm -f $(OBJS) $(LOBJS) $(LIBA) $(LIBSO) $(TARGET) 
 
+indent:
+	../../Lindent $(wildcard *.[ch])
+
