=== utils/Makefile ===
--- 
+++ 
@@ -17,5 +17,8 @@
 clean:
 	-rm -f $(TARGETS) *.o 
 
+indent:
+	../../Lindent $(wildcard *.[ch])
+
 relabel:
