=== utils/Makefile ===
--- 
+++ 
@@ -18,7 +18,7 @@
 	-rm -f $(TARGETS) *.o 
 
 indent:
-	../../Lindent $(wildcard *.[ch])
+	../../scripts/Lindent $(wildcard *.[ch])
 
 relabel:
