=== debian/changelog ===
libsepol (2.0.30-maemo1) unstable; urgency=low

  * fix to compile for maemo

 -- Thomas Maass <inyourface@gmx.de>  Sat, 26 Jun 2008 20:27:00 +0200

libsepol (2.0.30-2) unstable; urgency=low

  * Added exec_prefix to libselinux.pc.
    Closes: #489724

 -- Russell Coker <russell@coker.com.au>  Sun, 13 Jul 2008 00:26:51 +1000

libsepol (2.0.30-1) unstable; urgency=low

  * Non-maintainer upload.
  * New version needed for latest policy.

 -- Russell Coker <russell@coker.com.au>  Fri, 11 Jul 2008 23:55:10 +1000

libsepol (2.0.25-2) unstable; urgency=low

  * Record the new location of the repository for this package (moved to a
    new git repository)
  * Move to the new, make -j friendly targets in debian/rules.

 -- Manoj Srivastava <srivasta@debian.org>  Sat, 31 May 2008 00:42:03 -0500

libsepol (2.0.25-1) unstable; urgency=low

  * New upstream release
    * Drop unused ->buffer field from struct policy_file.
    * Add policy_file_init() initalizer for struct policy_file and use it,
      from Todd C. Miller. 
    * Accept "Flask" as an alternate identifier string in kernel policies
      from Stephen Smalley. 
    * Add support for open_perms policy capability from Eric Paris.
  

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 17 Mar 2008 13:29:44 -0500

libsepol (2.0.21-1) unstable; urgency=low

  * New upstream SVN HEAD.
    * Fix invalid memory allocation in policydb_index_others() from Jason Tang.
    * Port of Yuichi Nakamura's tune avtab to reduce memory usage patch
      from the kernel avtab to libsepol from Stephen Smalley. 
    * Add support for consuming avrule_blocks during expansion to reduce
      peak memory usage from Joshua Brindle.
    * Added support for policy capabilities from Todd Miller.
    * Prevent generation of policy.18 with MLS enabled from Todd Miller.
    * print module magic number in hex on mismatch, from Todd Miller.
    * clarify and reduce neverallow error reporting from Stephen Smalley.
    * Reject self aliasing at link time from Stephen Smalley.
    * Allow handle_unknown in base to be overridden by semanage.conf from
      Stephen Smalley. 
    * Fixed bug in require checking from Stephen Smalley.
    * Added user hierarchy checking from Todd Miller.       

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 28 Feb 2008 08:30:19 -0600

libsepol (2.0.11-1) unstable; urgency=low

  * New upstream release.
    * Pass CFLAGS to CC even on link command, per Dennis Gilmore.
    * Merged support for the handle_unknown policydb flag from Eric Paris.
    * Moved next_entry and put_entry out-of-line to reduce code size from
      Ulrich Drepper. 
    * Fixed module_package_read_offsets bug introduced by the prior patch.
    * Eliminate unaligned accesses from policy reading code from Stephen
      Smalley.                                           Closes: Bug#439539
    * Allow dontaudits to be turned off during policy expansion from
      Joshua Brindle.
    * Fix sepol_context_clone to handle a NULL context correctly.
      This happens for e.g. semanage_fcontext_set_con(sh, fcontext, NULL)
      to set the file context entry to "<<none>>".
    * Merged error handling patch from Eamon Walsh.
  * The cross building support in Debian has been rewritten to stop
    overriding the CC  variable to $(MAKE) in order to correctly support
    those packages that build internal tools with the native compiler
    during the build. This means that other packages that assume that CC
    will be overridden by the cross-compiling build scripts now fail to
    build. The patch is simply to set CC to $(DEB_HOST_GNU_TYPE)-gcc only
    if a cross-build is detected. The solution was proposed by  Neil
    Williams, but has been modified to be more generally applicable.
                                                          Closes: Bug#448014
  * The API was added to in this release, which means we need a shlibs
    bump. The soname has not changed.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 06 Feb 2008 09:50:38 -0600

libsepol (2.0.3-1) unstable; urgency=low

  * New upstream bugfix SVN HEAD.
    + Merged fix from Karl to remap booleans at expand time to avoid holes
      in the symbol table. 
    + Merged add boolmap argument to expand_module_avrules() from Chris
      PeBenito. 

 -- Manoj Srivastava <srivasta@debian.org>  Sun,  6 May 2007 16:38:09 -0500

libsepol (2.0.1-1) unstable; urgency=low

  * New upstream release. This is the trunk, or development, version.
  * Merged patch to add errcodes.h to libsepol by Karl MacMillan.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 19 Apr 2007 17:17:39 -0500

libsepol (1.16.1-1) unstable; urgency=low

  * New upstream release
    * Merged libsepol segfault fix from Stephen Smalley for when
      sensitivities are required but not present in the base.
    * Updated version for stable branch.
    * Merged patch to compile wit -fPIC instead of -fpic from
      Manoj Srivastava to prevent hitting the global offest table
      limit. Patch changed to include libselinux and libsemanage in
      addition to libselinux.
    * Merged fix from Karl MacMillan for a segfault when linking
      non-MLS modules with users in them.
    * Merged fix for version comparison that was preventing range
      transition rules from being written for a version 5 base policy
      from Darrel Goeddel.
  * Added XS-VCS-Arch and XS-VCS-Browse to debian/control

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 18 Apr 2007 19:34:35 -0500

libsepol (1.14-3) unstable; urgency=low

  * This fix is in reference to Bug#408278. In the postinst, we now use
    telinit u, instead of plain old init u, if telinit is available.
    Using init directly is bad form, according to sysvinit maintainer.
  * Make the dev package depend on the exact ${binary:Version}, not the
    ${Source-Version}, which should make this package friendlier to
    binNMUs. 

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 26 Feb 2007 10:09:10 -0600


