=== debian/control ===
Source: libsepol
VCS-Git: git://git.debian.org/~srivasta/debian/libsepol.git
VCS-Browser: http://git.debian.org/git/users/srivasta/debian/libsepol.git
Priority: optional
Section: libs
Maintainer: Thomas Maass <inyourface@gmx.de>
Standards-Version: 3.7.3.0
Build-Depends: file

Package: sepol-utils
Section: admin
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: checkpolicy (<= 1.20)
Description: Security Enhanced Linux policy utility programs
 This package provides a utility for a Security-enhanced
 Linux system to rewrite existing mandatory access control policy with
 different boolean setting, generating a new policy. Security-enhanced
 Linux is a patch of the Linux kernel and a number of utilities with
 enhanced security functionality designed to add mandatory access
 controls to Linux. This package provides utility programs to get and
 set process and file security contexts and to obtain security policy
 decisions.


Package: libsepol1
Section: libs
Priority: required
Architecture: any
Depends: ${shlibs:Depends}
Description: Security Enhanced Linux policy library for changing policy binaries
 Security-enhanced Linux is a patch of the Linux kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access
 Control, and Multi-level Security.
 .
 libsepol provides an API for the manipulation of SELinux binary policies.
 It is used by checkpolicy (the policy compiler) and similar tools, as well
 as by programs like load_policy that need to perform specific transformations
 on binary policies such as customizing policy boolean settings.

Package: libsepol1-dev
Section: libdevel
Architecture: any
Provides:  libsepol-dev
Conflicts: libsepol-dev
Depends: ${shlibs:Depends},  libsepol1 (= ${binary:Version})
Description: Security Enhanced Linux policy library and development files
 libsepol allows programs to easily modify SELinux policy binaries.  This
 means changing the default values for booleans, or reading the policy for
 analysis.
 .
 This package contains the headers and archives used for linking it into your
 programs.
