=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=2



http://www.nsa.gov/selinux/code/download-trunk.cfm ../archives/libsepol-(.*)\.tgz
