## libsepol 2.1.0-1.2

=== debian/changelog ===
libsepol (2.1.0-1.2) unstable; urgency=low

  * Non-maintainer upload since maintainer is busy
  * Build for multiarch, setting Pre-Depends multiarch-support in our shared
    lib package, closes: #638018
  * Always use -n with gzip, to avoid encoding timestamps in the gzip file;
    this ensures compressed docs and other files are identical across
    multiple builds, required for multiarch.

 -- Riku Voipio <riku.voipio@linaro.org>  Fri, 16 Dec 2011 17:43:47 +0200

libsepol (2.1.0-1.1) unstable; urgency=low

  * Made it NOT be a Debian native package.
  * Made myself the maintainer as Manoj has been busy for a while.

 -- Russell Coker <russell@coker.com.au>  Tue, 30 Aug 2011 14:41:02 +1000

libsepol (2.1.0-1) unstable; urgency=low

  * New Upstream version: new role transition and role attribute support.

 -- Russell Coker <russell@coker.com.au>  Mon, 29 Aug 2011 21:40:52 +1000

libsepol (2.0.42-1) unstable; urgency=low

  * New Upstream ver: Fix compliation under GCC 4.6 by Justin Mattock

 -- Russell Coker <russell@coker.com.au>  Wed, 05 Jan 2011 20:02:28 +1100

libsepol (2.0.41-1) unstable; urgency=low

  * Added myself to the uploaders.
  * This version is a trivial new upstream release, so it seems that we might
    as well just include it for Squeeze.

 -- Russell Coker <russell@coker.com.au>  Wed, 26 May 2010 14:54:26 +1000

libsepol (2.0.40-2) unstable; urgency=low

  * Fix typo found by lintian.
  * [25329c6]: [spelling fix]: cannnot -> cannot and suport -> support
    This was reported after a lintian check found this on any package
    linked with libsepol. Closes: #556390

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 17 Nov 2009 10:29:54 -0600

libsepol (2.0.40-1) unstable; urgency=low

  * New upstream point release
    + Added pkgconfig file. This eliminates the last patch we were
      carrying against upstream.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 17 Nov 2009 09:53:02 -0600

libsepol (2.0.39-1) unstable; urgency=low

  * New upstream point release. Adds support for building Xen policies
    from Paul Nuzzi. 

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 15 Oct 2009 22:53:54 -0500

libsepol (2.0.38-2) unstable; urgency=high

  * Handle the init=/bin/sh case in postinst    
    The previous tests did not check to see if the process running with
    process id 1 was actually /sbin/init, or if /dev/initctl was present to
    be talked to.
  * Note that checklibs fails with a spurious error on IA64.
  * Urgency high, since this is causing all kinds of failures in
    situations were init=/bin/sh, like qemubuilder.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 08 Sep 2009 11:52:21 -0500

libsepol (2.0.38-1) unstable; urgency=low

  * New upstream release
     Check last offset in the module package against the file size.
     Reported by Manoj Srivastava for bug filed by Max Kellermann.
  * Bug fix: "out of memory", thanks to Max Kellermann   (Closes: #543915).
  * Bug fix: "/etc/.initctl: ENOENT breaks debootstrap on kfreebsd",
    thanks to Philipp Kern. This package has been removed from all !linux
    architectures, and no longer builds on them.         (Closes: #543938).
  * First cut at providing symbols files.
  *  Check for extra libraries and shlib version numbers.  Unless there is
    a nocheck option in the deb build options variable, now we look to see
    if there are extra libraries we have linked to. Might need to back
    this out later, if this causes problems on the buildds.

 -- Manoj Srivastava <srivasta@debian.org>  Tue, 01 Sep 2009 16:58:24 -0500

libsepol (2.0.37-2) unstable; urgency=low

  * [f7ba986]: [libsepol]: common code update: Make sure the jobserver is
    no killed.
  * [b8570c3]: [libsepol] only run init -u when not in a chroot
    This fix was done 10 days ago, I just forgot to upload the new
    version; and then I was wondering how the bugs could possibly happen,
    since the code in front of me would prevent that.
    Bug fix: "postinst script fails in chroot environment", thanks to
    Ondřej Surý (Closes: #543347).
    Bug fix: "telinit doesn&#39;t work inside chroot", thanks to Sylvain
    Le Gall (Closes: #543344).

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 24 Aug 2009 09:36:01 -0500

libsepol (2.0.37-1) unstable; urgency=low

  * New upstream release
    + Add method to check disable dontaudit flag from Christopher Pardy.

 -- Manoj Srivastava <srivasta@debian.org>  Thu, 13 Aug 2009 23:51:54 -0500

libsepol (2.0.36-1) unstable; urgency=low

  * New upstream release
    + Fix boolean state smashing from Joshua Brindle.
    + Fix alias field in module format, caused by boundary format change
      from Caleb Case.
    + Add bounds support from KaiGai Kohei.
    + Fix invalid aliases bug from Joshua Brindle.
    + Revert patch that removed expand_rule.

 -- Manoj Srivastava <srivasta@debian.org>  Wed, 29 Apr 2009 20:43:17 -0500

libsepol (2.0.32-1) unstable; urgency=low

  * New upstream release
    + Allow require then declare in the source policy from Joshua
      Brindle.
    + Fix mls_semantic_level_expand() to handle a user require w/o MLS
      information from Stephen Smalley.
  * Updated the watch and copyright files to reflect the new source
    location.

 -- Manoj Srivastava <srivasta@debian.org>  Mon, 09 Feb 2009 23:51:49 -0600
