=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: libsepol
 VCS-Git: git://git.debian.org/~srivasta/debian/libsepol.git
-VCS-Browser: http://git.debian.org/git/users/srivasta/debian/libsepol.git
+VCS-Browser: http://git.debian.org/git/?p=users/srivasta/debian/libsepol.git
 Priority: optional
 Section: libs
-Maintainer: Thomas Maass <inyourface@gmx.de>
-Standards-Version: 3.7.3.0
-Build-Depends: file
+Maintainer: Russell Coker <russell@coker.com.au>
+Uploaders: Manoj Srivastava <srivasta@debian.org>
+Standards-Version: 3.8.3.0
+Build-Depends: file, dpkg-dev (>= 1.16.0)
 
 Package: sepol-utils
 Section: admin
 Architecture: any
 Depends: ${shlibs:Depends}
+Multi-Arch: foreign
 Conflicts: checkpolicy (<= 1.20)
 Description: Security Enhanced Linux policy utility programs
  This package provides a utility for a Security-enhanced
@@ -24,11 +26,12 @@
 
 
 Package: libsepol1
-Section: libs
 Priority: required
 Architecture: any
 Depends: ${shlibs:Depends}
-Description: Security Enhanced Linux policy library for changing policy binaries
+Pre-Depends: multiarch-support
+Multi-Arch: same
+Description: SELinux library for manipulating binary security policies
  Security-enhanced Linux is a patch of the Linux kernel and a number
  of utilities with enhanced security functionality designed to add
  mandatory access controls to Linux.  The Security-enhanced Linux
@@ -47,11 +50,12 @@
 Package: libsepol1-dev
 Section: libdevel
 Architecture: any
-Provides:  libsepol-dev
+Provides: libsepol-dev
 Conflicts: libsepol-dev
 Depends: ${shlibs:Depends},  libsepol1 (= ${binary:Version})
-Description: Security Enhanced Linux policy library and development files
- libsepol allows programs to easily modify SELinux policy binaries.  This
+Multi-Arch: same
+Description: SELinux binary policy maniulation library and development files
+ libsepol allows programs to easily modify SELinux binary policies.  This
  means changing the default values for booleans, or reading the policy for
  analysis.
  .
