=== debian/watch ===
# format version number, currently 2; this line is compulsory!
version=2



http://userspace.selinuxproject.org/releases/current/devel/libsepol-(.*)\.tar\.gz
#http://www.nsa.gov/selinux/code/download-trunk.cfm ../archives/libsepol-(.*)\.tgz
