## libsepol 2.1.4

=== debian/changelog ===
libsepol (2.1.4-3ubuntu2) quantal; urgency=low

  * Specify CC so cross-builds work (LP: #1056975)

 -- Wookey <wookey@wookware.org>  Wed, 26 Sep 2012 16:34:20 +0100

libsepol (2.1.4-3ubuntu1) quantal; urgency=low

  * Touch /var/run/init.upgraded rather than calling 'telinit u' in the
    postinst, which causes a reboot when called in an Upstart chroot with
    busybox init.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Sep 2012 18:43:01 +0100

libsepol (2.1.4-3) unstable; urgency=low

  * Team upload.
  * debian/rules: Append CPPFLAGS hardening flags to CFLAGS (Closes: #665316)
  * debian/control: Re-add Conflicts/Provides for the libsepol1-dev package

 -- Laurent Bigonville <bigon@debian.org>  Sun, 01 Apr 2012 00:56:03 +0200

libsepol (2.1.4-2) unstable; urgency=low

  * Team upload.
  * Switch to dh sequence and debhelper 9
    - Enable hardened build flags (Closes: #656016)
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/control:
    - Bump Standards-Version to 3.9.3 (no further changes)
    - Fix typo in Description (Closes: #639704)
    - Drop Conflict against checkpolicy (<= 1.20), it's long time gone
    - Drop Conflict/Provide against libsepol-dev, it's long time gone too
    - Drop Multi-Arch: same for -dev package
    - Drop Multi-Arch: foreign for sepol-utils package
    - Update Vcs-* fields
    - Add Homepage field
    - Make all binary packages arch:linux-any
    - Put under the Debian SELinux team maintenance
  * debian/patches/fix-pc-file.patch: Properly set multi-arch path in .pc file
    (Closes: #658440)
  * Add debian/gbp.conf file
  * debian/libsepol1.postinst: Unconditionally call telinit and ignore any
    errors (Closes: #652669, #663270)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 20 Mar 2012 22:07:12 +0100

libsepol (2.1.4-1) unstable; urgency=low

  * New upstream version, changes to handling of tunables and moved some code
    from mcstrans to libsepol.
  * Added new symbols expand_module_avrules, sepol_get_preserve_tunables,
    and sepol_set_preserve_tunables.

 -- Russell Coker <russell@coker.com.au>  Mon, 20 Feb 2012 15:25:22 +1100
