=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: libsepol
-VCS-Git: git://git.debian.org/~srivasta/debian/libsepol.git
-VCS-Browser: http://git.debian.org/git/?p=users/srivasta/debian/libsepol.git
+VCS-Git: git://anonscm.debian.org/git/selinux/libsepol.git
+VCS-Browser: http://anonscm.debian.org/gitweb/?p=selinux/libsepol.git;a=summary
 Priority: optional
 Section: libs
-Maintainer: Russell Coker <russell@coker.com.au>
-Uploaders: Manoj Srivastava <srivasta@debian.org>
-Standards-Version: 3.8.3.0
-Build-Depends: file, dpkg-dev (>= 1.16.0)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
+Uploaders: Manoj Srivastava <srivasta@debian.org>, Russell Coker <russell@coker.com.au>
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.0), file
+Homepage: http://userspace.selinuxproject.org/
 
 Package: sepol-utils
 Section: admin
-Architecture: any
-Depends: ${shlibs:Depends}
-Multi-Arch: foreign
-Conflicts: checkpolicy (<= 1.20)
+Architecture: linux-any
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Security Enhanced Linux policy utility programs
  This package provides a utility for a Security-enhanced
  Linux system to rewrite existing mandatory access control policy with
@@ -24,11 +24,10 @@
  set process and file security contexts and to obtain security policy
  decisions.
 
-
 Package: libsepol1
 Priority: required
-Architecture: any
-Depends: ${shlibs:Depends}
+Architecture: linux-any
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: multiarch-support
 Multi-Arch: same
 Description: SELinux library for manipulating binary security policies
@@ -49,16 +48,14 @@
 
 Package: libsepol1-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
+Depends: libsepol1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Provides: libsepol-dev
 Conflicts: libsepol-dev
-Depends: ${shlibs:Depends},  libsepol1 (= ${binary:Version})
-Multi-Arch: same
-Description: SELinux binary policy maniulation library and development files
+Description: SELinux binary policy manipulation library and development files
  libsepol allows programs to easily modify SELinux binary policies.  This
  means changing the default values for booleans, or reading the policy for
  analysis.
  .
  This package contains the headers and archives used for linking it into your
  programs.
-
