=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DESTDIR = $(CURDIR)/debian/tmp
export LIBDIR=$${DESTDIR}/usr/lib/${DEB_HOST_MULTIARCH}
export SHLIBDIR=$${DESTDIR}/lib/${DEB_HOST_MULTIARCH}
export LIBBASE=lib/${DEB_HOST_MULTIARCH}

# The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
# missing (hardening) flags.
export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)
export CC=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)-gcc

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	rm -f $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libsepol.so
	ln -s /lib/$(DEB_HOST_MULTIARCH)/libsepol.so.1 $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/libsepol.so

override_dh_auto_test:
