## libsepol 2.1.9

=== debian/changelog ===
libsepol (2.1.9-2) unstable; urgency=low

  * Team upload.
  * debian/rules: Really fix cross-compilation (Closes: #688878)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 20 May 2013 16:21:35 +0200

libsepol (2.1.9-1) unstable; urgency=low

  * Team upload.
  * New Upstream release
  * debian/rules: Automatically chose host gcc used when cross-compiling
    (Closes: #688878)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 09 May 2013 15:12:53 +0200

libsepol (2.1.8-1) experimental; urgency=low

  * Team upload.
  * New Upstream release
  * debian/gbp.conf: Change default git-buildpackage build-directory and the
    debian-branch to "debian" instead of "upstream"
  * debian/watch: Fix watch file URL

 -- Laurent Bigonville <bigon@debian.org>  Tue, 25 Sep 2012 22:46:14 +0200
