## libsepol 2.2

=== debian/changelog ===
libsepol (2.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release
    - Drop debian/patches/fix-pc-file.patch: Merged upstream
  * debian/control: Bump Standards-Version to 3.9.4 (no further changes)
  * debian/control: Use canonical URL for VCS-Git field

 -- Laurent Bigonville <bigon@debian.org>  Fri, 01 Nov 2013 13:02:59 +0100
