=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,11 @@
 # The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
 # missing (hardening) flags.
 export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)
-export CC=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)-gcc
+
+# for cross compilation
+ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+export CC=$(DEB_HOST_GNU_TYPE)-gcc
+endif
 
 %:
 	dh $@
