## libsepol 2.3

=== debian/changelog ===
libsepol (2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * debian/control: Mark -dev package as Multi-arch: same. (Closes: #738049)
  * debian/control: Bump Standards-Version to 3.9.5 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 13 May 2014 17:35:24 +0200
