=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: libsepol
-VCS-Git: git://anonscm.debian.org/git/selinux/libsepol.git
+VCS-Git: git://anonscm.debian.org/selinux/libsepol.git
 VCS-Browser: http://anonscm.debian.org/gitweb/?p=selinux/libsepol.git;a=summary
 Priority: optional
 Section: libs
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
+Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Manoj Srivastava <srivasta@debian.org>, Russell Coker <russell@coker.com.au>
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.0), file
 Homepage: http://userspace.selinuxproject.org/
 
@@ -52,6 +51,7 @@
 Depends: libsepol1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Provides: libsepol-dev
 Conflicts: libsepol-dev
+Multi-Arch: same
 Description: SELinux binary policy manipulation library and development files
  libsepol allows programs to easily modify SELinux binary policies.  This
  means changing the default values for booleans, or reading the policy for
