=== debian/changelog ===
libsepol (2.4-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * debian/control: Use ${misc:Pre-Depends} instead of pre-depending directly
    against multiarch-support

 -- Laurent Bigonville <bigon@debian.org>  Wed, 18 Nov 2015 17:53:15 +0100

libsepol (2.4-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - debian/control: Add flex to the build-dependency
    - debian/libsepol1.symbols: Adjust the .symbols file
  * debian/control: Bump Standards-Version to 3.9.6 (no further changes)
  * debian/watch: Update watch file URL

 -- Laurent Bigonville <bigon@debian.org>  Tue, 02 Jun 2015 18:53:02 +0200

libsepol (2.3-2) unstable; urgency=medium

  * Team upload.
  * Drop debian/libsepol1.postinst: Reloading systemd during an upgrade in an
    uncontroled way might endup with unwanted side effects (Closes: #753727)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 31 Aug 2014 20:02:14 +0200
