=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Section: libs
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Manoj Srivastava <srivasta@debian.org>, Russell Coker <russell@coker.com.au>
-Standards-Version: 3.9.5
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.0), file
+Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.0), file, flex
 Homepage: http://userspace.selinuxproject.org/
 
 Package: sepol-utils
@@ -27,7 +27,7 @@
 Priority: required
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: SELinux library for manipulating binary security policies
  Security-enhanced Linux is a patch of the Linux kernel and a number
