## libsepol 2.5

=== debian/changelog ===
libsepol (2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Adjust .symbols file. The symbols are now versioned
  * debian/gbp.conf: Sign tags by default
  * debian/control: Bump Standards-Version to 3.9.7 (no further changes)
  * debian/control: Fix Vcs-* URL's to please lintian (again)
  * debian/rules: Pass --list-missing to dh_install

 -- Laurent Bigonville <bigon@debian.org>  Sun, 24 Apr 2016 15:15:01 +0200
