=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: libsepol
-VCS-Git: git://anonscm.debian.org/selinux/libsepol.git
-VCS-Browser: http://anonscm.debian.org/gitweb/?p=selinux/libsepol.git;a=summary
+VCS-Git: https://anonscm.debian.org/git/selinux/libsepol.git
+VCS-Browser: https://anonscm.debian.org/gitweb/?p=selinux/libsepol.git;a=summary
 Priority: optional
 Section: libs
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Manoj Srivastava <srivasta@debian.org>, Russell Coker <russell@coker.com.au>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.0), file, flex
 Homepage: http://userspace.selinuxproject.org/
